## org.eclipse.emf.codegen.ecore.generator
Class Generator.Options

    java.lang.Object
      org.eclipse.emf.codegen.ecore.generator.Generator.Options

Enclosing class:
  Generator

    public static class Generator.Options

extends java.lang.Object

A set of code generation options that should be shared among the generator, adapter factories and adapters. Additional options may be added to this class in the future.

Field Summary
`java.util.Map<?,?>` `codeFormatterOptions` Code formatter options to be used instead of the defaults for Java code formatting.
`boolean` `codeFormatting` Whether Eclipse JDT code formatting should be applied to generated Java code.
`java.lang.Object[]` `data` Arbitrary data for extensibility.
`boolean` `dynamicTemplates` Whether to try to use dynamically compiled templates, in place of supplied static templates.
`boolean` `forceOverwrite` Whether to overwrite read-only files.
`java.lang.String` `mergerFacadeHelperClass` The name of the `facade helper` class to be used in Java merging.
`java.lang.String` `mergeRulesURI` The URI of the JMerge rules file.
`java.lang.String` `redirectionPattern` A filename redirection pattern for generated files.
`ResourceSet` `resourceSet` The resource set containing the input, from which a URI converter, package registry, resource factory registry, etc can be obtained.
`java.util.List<java.lang.String>` `templateClasspath` A list of strings of the form [<variable-name>=]<plugin-id> that will be used by `AbstractGeneratorAdapter.addClasspathEntries(org.eclipse.emf.codegen.jet.JETEmitter)` to add classpath entries to each JETEmitter.
`java.lang.String[]` `templatePath` Deprecated. org.eclipse.emf.codegen.ecore 2.2.2 Override `AbstractGeneratorAdapter.addBaseTemplatePathEntries(List)` instead.

Constructor Summary
`Generator.Options()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### redirectionPattern

    public java.lang.String redirectionPattern

  A filename redirection pattern for generated files.

### forceOverwrite

    public boolean forceOverwrite

  Whether to overwrite read-only files.

### dynamicTemplates

    public boolean dynamicTemplates

  Whether to try to use dynamically compiled templates, in place of supplied static templates.

### templatePath

    @Deprecated
    public java.lang.String[] templatePath

  Deprecated. org.eclipse.emf.codegen.ecore 2.2.2 Override `AbstractGeneratorAdapter.addBaseTemplatePathEntries(List)` instead.
  A path for dynamic templates: ordered list of URIs corresponding to base locations under which to find templates. A single path for all code generation is actually insufficient. This path needs to specified and extended on a per-adapter basis, so this field should not be used.

  See Also:
    `AbstractGeneratorAdapter.addBaseTemplatePathEntries(List)`

### mergerFacadeHelperClass

    public java.lang.String mergerFacadeHelperClass

  The name of the `facade helper` class to be used in Java merging.

  See Also:
    `FacadeHelper`

### mergeRulesURI

    public java.lang.String mergeRulesURI

  The URI of the JMerge rules file.

### codeFormatting

    public boolean codeFormatting

  Whether Eclipse JDT code formatting should be applied to generated Java code.

### codeFormatterOptions

    public java.util.Map<?,?> codeFormatterOptions

  Code formatter options to be used instead of the defaults for Java code formatting.

### resourceSet

    public ResourceSet resourceSet

  The resource set containing the input, from which a URI converter, package registry, resource factory registry, etc can be obtained.

### templateClasspath

    public java.util.List<java.lang.String> templateClasspath

  A list of strings of the form [<variable-name>=]<plugin-id> that will be used by `AbstractGeneratorAdapter.addClasspathEntries(org.eclipse.emf.codegen.jet.JETEmitter)` to add classpath entries to each JETEmitter.

  See Also:
    `AbstractGeneratorAdapter.addClasspathEntries(org.eclipse.emf.codegen.jet.JETEmitter)`

### data

    public java.lang.Object[] data

  Arbitrary data for extensibility.

Constructor Detail

### Generator.Options

    public Generator.Options()

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.